@echo off

SET currentpath=%cd%

if not exist .\yajsw\conf\wrapper.conf.default (
		if exist ..\yajsw\conf\wrapper.conf.default (
				CD ..
			) else (
				echo [FATAL] - LDAP Directory Connector service configuration file not found at: LDC_HOME\yajsw\conf
				echo           1. Check that file wrapper.conf.default exist at LDC_HOME\yajsw\conf
				exit /b 1
			)
		)
    )
	
::Make a clean copy of our default config
echo f | xcopy /y /Q /i .\yajsw\conf\wrapper.conf.default .\yajsw\conf\wrapper.conf

::Set current workingdirectory to current executing directory
SET ldcdir=%cd%
CD yajsw
SET workingdir=%cd%
CD ..\bat

::Replace all backslashes with 4 backslashes to keep YAJSW functioning
SET ldcdirFixed=%ldcdir:\=/%
SET workingdirFixed=%workingdir:\=/%

::Set the working directory to the variable that we set up before
echo wrapper.working.dir=%workingdirFixed% >> ..\yajsw\conf\wrapper.conf
echo wrapper.tmp.path=%ldcdirFixed%/tmp >> ..\yajsw\conf\wrapper.conf
echo wrapper.logfile=%ldcdirFixed%/logs/wrapper.log >> ..\yajsw\conf\wrapper.conf
echo wrapper.java.app.jar=%ldcdirFixed%/libs/onelogin-ldc.jar >> ..\yajsw\conf\wrapper.conf
echo wrapper.app.parameter.2= %ldcdirFixed%/conf/ldc-default.conf >> ..\yajsw\conf\wrapper.conf
echo wrapper.app.parameter.4= %ldcdirFixed%/conf/ldc.conf >> ..\yajsw\conf\wrapper.conf
echo wrapper.java.additional.7 = -DLDC_HOME_SRV=%ldcdirFixed% >> ..\yajsw\conf\wrapper.conf
echo wrapper.java.additional.8 = -Dlogback.configurationFile=%ldcdirFixed%/conf/logback-service.xml>> ..\yajsw\conf\wrapper.conf

::Call the wrapper batch file which uses the config that we have created
call configureService.bat

CD %currentpath%
